Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class ResourceAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.texteditor.ResourceAction

All Implemented Interfaces:
  IAction

Direct Known Subclasses:
  FindNextAction, FindReplaceAction, IncrementalFindAction, MarkerRulerAction, RetargetTextEditorAction, SelectMarkerRulerAction, TextEditorAction

public abstract class ResourceAction
extends Action

An action which configures its label, image, tooltip, and description from a resource bundle using known keys.

Clients may subclass this abstract class to define new kinds of actions. As with `Action`, subclasses must implement the `IAction.run` method to carry out the action's semantics.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ResourceAction(ResourceBundle bundle, String prefix)` Creates a new action that configures itself from the given resource bundle.
`ResourceAction(ResourceBundle bundle, String prefix, int style)` Creates a new action that configures itself from the given resource bundle.

Method Summary
`protected static String` | `getString(ResourceBundle bundle, String key, String defaultValue)` Retrieves and returns the value with the given key from the given resource bundle, or returns the given default value if there is no such resource.
`protected void` | `initialize(ResourceBundle bundle, String prefix)` Initializes this action using the given bundle and prefix.
`void` | `setHelpContextId(String contextId)` Sets the action's help context id.

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceAction

    public ResourceAction(ResourceBundle bundle,
                          String prefix,
                          int style)

  Creates a new action that configures itself from the given resource bundle.

  The following keys, prepended by the given option prefix, are used for retrieving resources from the given bundle:

  - `"label"` - `setText`
  - `"tooltip"` - `setToolTipText`
  - `"image"` - `setImageDescriptor`
  - `"description"` - `setDescription`

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys, or `null` if none
  `style` - one of `IAction.AS_PUSH_BUTTON`, `IAction.AS_CHECK_BOX`, and `IAction.AS_RADIO_BUTTON`.
Since:
  2.1
See Also:
  `ResourceAction(ResourceBundle, String)`, `IAction.AS_CHECK_BOX`, `IAction.AS_DROP_DOWN_MENU`, `IAction.AS_PUSH_BUTTON`, `IAction.AS_RADIO_BUTTON`

### ResourceAction

    public ResourceAction(ResourceBundle bundle,
                          String prefix)

  Creates a new action that configures itself from the given resource bundle.

  The following keys, prepended by the given option prefix, are used for retrieving resources from the given bundle:

  - `"label"` - `setText`
  - `"tooltip"` - `setToolTipText`
  - `"image"` - `setImageDescriptor`
  - `"description"` - `setDescription`

Parameters:
  `bundle` - the resource bundle
  `prefix` - a prefix to be prepended to the various resource keys, or `null` if none

Method Detail

### getString

    protected static String getString(ResourceBundle bundle,
                                      String key,
                                      String defaultValue)

  Retrieves and returns the value with the given key from the given resource bundle, or returns the given default value if there is no such resource. Convenience method for dealing gracefully with missing resources.

  Parameters:
    `bundle` - the resource bundle
    `key` - the resource key
    `defaultValue` - the default value, or `null`
  Returns:
    the resource value, or the given default value (which may be `null`)

### setHelpContextId

    public final void setHelpContextId(String contextId)

  Sets the action's help context id.

  Parameters:
    `contextId` - the help context id

### initialize

    protected void initialize(ResourceBundle bundle,
                              String prefix)

  Initializes this action using the given bundle and prefix.

  Parameters:
    `bundle` - the resource bundle
    `prefix` - a prefix to be prepended to the various resource keys, or `null` if none
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.